LINUX.ORG.RU

krita x32

 , ,


0

1

Есть xubuntu x32, на которую нужно поставить криту. Зашел на сайт, где меня ждал сюрприз в виде appimage. Скачал образ, дал ему права, попытался запустить:

$:~/Загрузки$ ./krita.appimage

bash: ./krita.appimage: cannot execute binary file: Exec format error

В линуксе я медный таз. Как с этим быть?


Типичная ошибка новичков в Линуксе: они ставят проги с сайтов, а не репозиториев.

sudo apt-get install krita

Vsevolod-linuxoid ★★★★★ ()

Ну так x32 это x86-64 с урезанным размером указателей, так-то не удивительно что не работает — там все свои либы нужны, оно не совместимо с обычным ABI.

anonymous ()
Ответ на: комментарий от Vsevolod-linuxoid

Во-первых, крита там старой версии. Очень старой версии.
Во-вторых, крита там с кучей кде-ошмётков, которые после этой команды просто погубят XFCE и всю систему.

Так что, смотри, что советуешь. Софт, вроде криты, Eclipse, JDK, Android Studio, Qt Creator, Qt SDK, GIMP и др — ставить нужно В ОБХОД РЕПОЗИТОРИЕВ, в специальный каталог /opt. Дабы не иметь проблем с ним в дальнейшем.

Проблема новой криты в том, что они депрекейтнули x86-сборки под Linux.

EXL ★★★★★ ()
Ответ на: комментарий от EXL

Ну хорошо, с критой согласен, лучше поменять битность оси и перейти на кеды.

Но с гимпом что не так? У меня стоит из репозиториев, проблем не замечал.

Vsevolod-linuxoid ★★★★★ ()
Ответ на: комментарий от anonymous

Ну так x32 это x86-64

В линуксе я медный таз.

ТС написал х32 не понимая, что это такое.

greenman ★★★★★ ()

Я даже не подозревал, что 86-64 это тоже 64. Теперь мне понятно, спасибо.

umeeo ()
Ответ на: комментарий от Vsevolod-linuxoid

Кажется в генте есть самая последняя версия сейчас. По-видимому, данная проблема распространяется исключительно на маргинальные дистрибутивы.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.